Bug 597594 - [abrt] crash in ibus-1.3.3-1.fc13: keyboardshortcut.py:140:get_shortcuts:TypeError: 'NoneType' object is not iterable
Summary: [abrt] crash in ibus-1.3.3-1.fc13: keyboardshortcut.py:140:get_shortcuts:Type...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2fb74671
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 18:03 UTC by F.Prates
Modified: 2010-07-02 22:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 02:17:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (677 bytes, text/plain)
2010-05-29 18:03 UTC, F.Prates
no flags Details

Description F.Prates 2010-05-29 18:03:27 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/share/ibus/setup/main.py
comment: error is consistently reproducible.
component: ibus
executable: /usr/share/ibus/setup/main.py
kernel: 2.6.33.4-95.fc13.x86_64
package: ibus-1.3.3-1.fc13
reason: keyboardshortcut.py:140:get_shortcuts:TypeError: 'NoneType' object is not iterable
release: Fedora release 13 (Goddard)

backtrace
-----
keyboardshortcut.py:140:get_shortcuts:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/share/ibus/setup/keyboardshortcut.py", line 223, in __keycode_entry_notify_cb
    self.__update_add_and_apply_buttons()
  File "/usr/share/ibus/setup/keyboardshortcut.py", line 208, in __update_add_and_apply_buttons
    shortcuts = self.get_shortcuts()
  File "/usr/share/ibus/setup/keyboardshortcut.py", line 140, in get_shortcuts
    return [i[0] for i in model]
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
_[1]: []
model: None
self: <KeyboardShortcutSelection object at 0x1666e10 (GtkVBox at 0x18e4800)>

How to reproduce
-----
1. select preferences from ibus icon tray (with anthy engine).
2. click on button [...] (next input method) from "general" tab. dialog will be displayed.
3. click on "cancel". error notification is showed.

Comment 1 F.Prates 2010-05-29 18:03:29 UTC
Created attachment 417902 [details]
File: backtrace

Comment 2 Peng Huang 2010-05-31 00:29:58 UTC
Sorry. I can not reproduce this problem. Can you always reproduce this problem?

Comment 3 F.Prates 2010-05-31 23:01:24 UTC
(In reply to comment #2)
> Sorry. I can not reproduce this problem. Can you always reproduce this problem?    

I've just tried to reproduce this error in a fedora 13 32-bit install, and the problem doesn't happen. That's why I've never noticed it before (first time that I use a 64 bit install).

Yes, in 64 bit, I can always reproduce this problem.

Comment 4 Peng Huang 2010-06-01 03:39:09 UTC
Thank you for the information.
This problem has been fixed in upstream. I will build it for fedora soon.

Comment 5 Peng Wu 2010-07-02 02:17:59 UTC
Check with the latest ibus rpm from Fedora 13 updates.
As the upstream code is in Fedora 13 updates now, close this bug.

Comment 6 F.Prates 2010-07-02 22:41:14 UTC
I've had no more crashes in ibus preferences on 64 bit fedora.

thanks for the fix.


Note You need to log in before you can comment on or make changes to this bug.